Skip to main content
POST
/
v1
/
models
/
{model_id}
/
environments
/
{env_name}
/
promote
cURL
curl --request POST \
--url https://api.baseten.co/v1/models/{model_id}/environments/{env_name}/promote \
--header "Authorization: Bearer $BASETEN_API_KEY" \
--data '{
  "scale_down_previous_deployment": true,
  "deployment_id": null,
  "preserve_env_instance_type": true
}'
import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/models/{model_id}/environments/{env_name}/promote"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.request(
"POST",
url,
headers=headers,
json={'scale_down_previous_deployment': True, 'deployment_id': None, 'preserve_env_instance_type': True}
)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deployment_id: '<string>',
scale_down_previous_deployment: true,
preserve_env_instance_type: true
})
};

fetch('https://api.baseten.co/v1/models/{model_id}/environments/{env_name}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "model_id": "<string>",
  "is_production": true,
  "is_development": true,
  "active_replica_count": 123,
  "autoscaling_settings": {
    "min_replica": 123,
    "max_replica": 123,
    "autoscaling_window": 123,
    "scale_down_delay": 123,
    "concurrency_target": 123,
    "target_utilization_percentage": 123,
    "target_in_flight_tokens": 123,
    "max_scale_down_rate": 123
  },
  "instance_type_name": "<string>",
  "environment": "<string>",
  "labels": {}
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

model_id
string
required
env_name
string
required

Body

application/json

A request to promote a deployment to a environment.

deployment_id
string
required

The id of the deployment to promote

scale_down_previous_deployment
boolean
default:true

Whether to scale down the previous deployment after promoting

Example:

true

preserve_env_instance_type
boolean
default:true

Whether to use the promoting deployment's instance type or preserve target environment's instance type

Example:

true

Response

200 - application/json

A deployment of a model.

id
string
required

Unique identifier of the deployment

created_at
string<date-time>
required

Time the deployment was created in ISO 8601 format

name
string
required

Name of the deployment

model_id
string
required

Unique identifier of the model

is_production
boolean
required

Whether the deployment is the production deployment of the model

is_development
boolean
required

Whether the deployment is the development deployment of the model

status
enum<string>
required

Status of the deployment

Available options:
BUILDING,
DEPLOYING,
DEPLOY_FAILED,
LOADING_MODEL,
ACTIVE,
UNHEALTHY,
BUILD_FAILED,
BUILD_STOPPED,
DEACTIVATING,
INACTIVE,
FAILED,
UPDATING,
SCALED_TO_ZERO,
WAKING_UP
active_replica_count
integer
required

Number of active replicas

autoscaling_settings
AutoscalingSettingsV1 · object | null
required

Autoscaling settings for the deployment. If null, the model has not finished deploying

instance_type_name
string | null
required

Name of the instance type the model deployment is running on

environment
string | null
required

The environment associated with the deployment

labels
Labels · object | null

User-provided key-value labels for the deployment